## ros-lunar-joint-state-publisher 1.12.13

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(joint_state_publisher)

find_package(catkin REQUIRED)

catkin_package()

install(PROGRAMS joint_state_publisher/joint_state_publisher DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})


if(CATKIN_ENABLE_TESTING)
  find_package(rostest)
  add_rostest(test/test_mimic_chain.launch)
  add_rostest(test/test_mimic_cycle.launch)
  add_rostest(test/test_zero_joints.launch)
  add_rostest(test/test_multi_joints_urdf.launch)
  add_rostest(test/test_multi_joints_collada.launch)
endif()

=== debian/changelog ===
ros-lunar-joint-state-publisher (1.12.13-0xenial) xenial; urgency=high

  * add bugtracker link now that this is not hosted on robot_model anymore
  * Added a scrollarea around the gridlayout to support large number of joints
  * pass robot objects into init_collada() and init_urdf()
  * add test for collada supports
  * add support for collada model : moved from https://github.com/ros/robot_model/pull/97
  * Contributors: Guillaume Walck, Kei Okada, Mikael Arguedas

 -- Chris Lalancette <clalancette@osrfoundation.org>  Mon, 19 Mar 2018 00:00:00 -0000

ros-lunar-joint-state-publisher (1.12.12-0xenial) xenial; urgency=high

  * Don't publish joint states if there are no joints (#212 <https://github.com/ros/robot_model/issues/212>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 15 Sep 2017 00:00:00 -0000

ros-lunar-joint-state-publisher (1.12.11-0xenial) xenial; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 27 Jun 2017 00:00:00 -0000

ros-lunar-joint-state-publisher (1.12.10-0xenial) xenial; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Sat, 24 Jun 2017 00:00:00 -0000

ros-lunar-joint-state-publisher (1.12.9-0xenial) xenial; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 26 Apr 2017 00:00:00 -0000

ros-lunar-joint-state-publisher (1.12.8-0xenial) xenial; urgency=high

  * [joint_state_publisher] Handle time moving backwards
    Without this patch, joint_state_publisher dies whenever the ROS time moves backwards (e.g., when running rosbag play --clock --loop).
  * Switch a couple more packages over to Chris and Shane.
  * Fix rostest dependency.
  * Add recursive mimic joint (#177 <https://github.com/ros/robot_model/issues/177>)
    * Add recursive mimic joint
  * Contributors: Alessandro Tondo, Chris Lalancette, Martin Günther, Mike Purvis

 -- Chris Lalancette <clalancette@osrfoundation.org>  Mon, 27 Mar 2017 00:00:00 -0000

ros-lunar-joint-state-publisher (1.12.7-0xenial) xenial; urgency=high

  * Fixed a crash which happened when there were ``0`` free joints, opens empty window (#178 <https://github.com/ros/robot_model/issues/178>)
  * Contributors: Bence Magyar

 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 26 Jan 2017 00:00:00 -0000

ros-lunar-joint-state-publisher (1.12.6-0xenial) xenial; urgency=high

  * Migrated slots in joint state publisher gui to Qt5 (#147 <https://github.com/ros/robot_model/issues/147>)
  * Now uses GridLayout to support large numbers of joints and small screens (#150 <https://github.com/ros/robot_model/issues/150>)
  * Contributors: Bence Magyar, Michał Barciś

 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 04 Jan 2017 00:00:00 -0000

ros-lunar-joint-state-publisher (1.12.5-0xenial) xenial; urgency=high

  * Fix initial position of sliders in joint_state_publisher GUI (#148 <https://github.com/ros/robot_model/issues/148>)
    Caused by a regression in 8c6cf9841cb, the slider positions are not initialized correctly
    from the provided zero positions at startup.
    This commit fixes the issue, by adding the call to center() again that got lost.
  * Contributors: Timm Linder

 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 27 Oct 2016 00:00:00 -0000

ros-lunar-joint-state-publisher (1.12.4-0xenial) xenial; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 23 Aug 2016 00:00:00 -0000

ros-lunar-joint-state-publisher (1.12.3-0xenial) xenial; urgency=high

  * Fix circular logic in joint state publisher events (#140 <https://github.com/ros/robot_model/issues/140>)
  * Use signal and sys.exit to fix shutdown in joint_state_publisher (#139 <https://github.com/ros/robot_model/issues/139>)
  * joint_state_publisher: Change slider update method (#135 <https://github.com/ros/robot_model/issues/135>)
  * Contributors: Jackie Kay, vincentrou

 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 10 Jun 2016 00:00:00 -0000

ros-lunar-joint-state-publisher (1.12.2-0xenial) xenial; urgency=high

  * Migrate qt (#128 <https://github.com/ros/robot_model/issues/128>)
    * Migrate JointStatePublisher from wxPython to qt5
  * Contributors: Jackie Kay

 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 12 Apr 2016 00:00:00 -0000

ros-lunar-joint-state-publisher (1.12.1-0xenial) xenial; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Sun, 10 Apr 2016 00:00:00 -0000

ros-lunar-joint-state-publisher (1.11.8-0xenial) xenial; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 11 Sep 2015 00:00:00 -0000

ros-lunar-joint-state-publisher (1.11.7-0xenial) xenial; urgency=high

  * Added a randomize button for the joints.
  * Contributors: Aaron Blasdel

 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 22 Apr 2015 00:00:00 -0000

ros-lunar-joint-state-publisher (1.11.6-0xenial) xenial; urgency=high

  * Added floating joints to joint types ignored by publisher
  * warn when joints have no limits
  * add queue_size for publisher
  * Contributors: Jihoon Lee, Michael Ferguson, Shaun Edwards

 -- Chris Lalancette <clalancette@osrfoundation.org>  Sun, 30 Nov 2014 00:00:00 -0000

ros-lunar-joint-state-publisher (1.11.5-0xenial) xenial; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 24 Jul 2014 00:00:00 -0000

ros-lunar-joint-state-publisher (1.11.4-0xenial) xenial; urgency=high

  * Update package.xml
    Updating author and maintainer email for consistency
  * Contributors: David Lu!!

 -- Chris Lalancette <clalancette@osrfoundation.org>  Mon, 07 Jul 2014 00:00:00 -0000

ros-lunar-joint-state-publisher (1.11.3-0xenial) xenial; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 24 Jun 2014 00:00:00 -0000

ros-lunar-joint-state-publisher (1.11.2-0xenial) xenial; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Sat, 22 Mar 2014 00:00:00 -0000



=== debian/control ===
Source: ros-lunar-joint-state-publisher
Section: misc
Priority: extra
Maintainer: Chris Lalancette <clalancette@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin, ros-lunar-rostest
Homepage: http://www.ros.org/wiki/joint_state_publisher
Standards-Version: 3.9.2

Package: ros-lunar-joint-state-publisher
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-python-qt-binding, ros-lunar-rospy, ros-lunar-sensor-msgs
Description: This package contains a tool for setting and publishing joint state values for a given URDF.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-joint-state-publisher//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
